/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
var SummaryResultDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(SummaryResultDescription, _super);
    function SummaryResultDescription() {
        var _this = _super.call(this) || this;
        _this.l = null;
        _this.i = null;
        _this.g = 0;
        return _this;
    }
    SummaryResultDescription.prototype.get_type = function () {
        return "SummaryResult";
    };
    Object.defineProperty(SummaryResultDescription.prototype, "type", {
        get: function () {
            return this.get_type();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SummaryResultDescription.prototype, "groupKeyRef", {
        get: function () {
            return this.l;
        },
        set: function (a) {
            this.l = a;
            this.e("GroupKeyRef");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SummaryResultDescription.prototype, "value", {
        get: function () {
            return this.i;
        },
        set: function (a) {
            this.i = a;
            this.e("Value");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(SummaryResultDescription.prototype, "summaryIndex", {
        get: function () {
            return this.g;
        },
        set: function (a) {
            this.g = a;
            this.e("SummaryIndex");
        },
        enumerable: true,
        configurable: true
    });
    SummaryResultDescription.$t = markType(SummaryResultDescription, 'SummaryResultDescription', Description.$);
    SummaryResultDescription.__marshalByValue = true;
    SummaryResultDescription.__marshalByValueAlias = "DefaultSummaryResult";
    return SummaryResultDescription;
}(Description));
export { SummaryResultDescription };
